function group_test

[filename, pathname] = uigetfile('*.mat', 'Groups');
if isequal(filename,0) || isequal(pathname,0)
    disp('User pressed cancel')
    return;
end

groups = load([pathname, filesep, filename]);
groups = groups.groups;

for i=1:length(groups)
    X = [groups(i).shapedata(:).b];

    mth = 'gaussian';
    %mth = 'nn';
    [labels, d] = ammlib_groupClassifier('Groups', groups, 'PointModels', X, 'method', mth);

    labels
    pause
end
return